using System;
using System.Collections.Generic;

namespace PositioningWebApp.Models.DB
{
    public partial class Users
    {
		public Users()
		{
			Devices = new HashSet<Devices>();
			GroupUsers = new HashSet<GroupUsers>();
			Groups = new HashSet<Groups>();
			Zones = new HashSet<Zones>();
		}

		public int Id { get; set; }
		public string FirstName { get; set; }
		public string Surname { get; set; }
		public string PasswordHash { get; set; }
		public string Email { get; set; }
		public string PhoneNumber { get; set; }
		public DateTime? CreationDate { get; set; }

		public ICollection<Devices> Devices { get; set; }
		public ICollection<GroupUsers> GroupUsers { get; set; }
		public ICollection<Groups> Groups { get; set; }
		public ICollection<Zones> Zones { get; set; }
	}
}
